source: squid-ssl/trunk/fuentes/tools/purge/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 21 months ago

Initial release

File size: 41.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# tools/purge/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94bin_PROGRAMS = purge$(EXEEXT)
95subdir = tools/purge
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(bindir)"
163PROGRAMS = $(bin_PROGRAMS)
164am_purge_OBJECTS = convert.$(OBJEXT) socket.$(OBJEXT) signal.$(OBJEXT) \
165        squid-tlv.$(OBJEXT) copyout.$(OBJEXT) conffile.$(OBJEXT) \
166        purge.$(OBJEXT)
167purge_OBJECTS = $(am_purge_OBJECTS)
168#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
169am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
170        $(am__DEPENDENCIES_1)
171am__DEPENDENCIES_3 =
172purge_DEPENDENCIES = $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_$(V))
174am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
175am__v_lt_0 = --silent
176am__v_lt_1 = 
177AM_V_P = $(am__v_P_$(V))
178am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_$(V))
182am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 = 
185AM_V_at = $(am__v_at_$(V))
186am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
187am__v_at_0 = @
188am__v_at_1 = 
189DEFAULT_INCLUDES = 
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_$(V))
200am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 = 
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_$(V))
208am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 = 
211COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
212        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
213LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
215        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
216        $(AM_CFLAGS) $(CFLAGS)
217AM_V_CC = $(am__v_CC_$(V))
218am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
219am__v_CC_0 = @echo "  CC      " $@;
220am__v_CC_1 = 
221CCLD = $(CC)
222LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
223        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
224        $(AM_LDFLAGS) $(LDFLAGS) -o $@
225AM_V_CCLD = $(am__v_CCLD_$(V))
226am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
227am__v_CCLD_0 = @echo "  CCLD    " $@;
228am__v_CCLD_1 = 
229SOURCES = $(purge_SOURCES)
230DIST_SOURCES = $(purge_SOURCES)
231am__can_run_installinfo = \
232  case $$AM_UPDATE_INFO_DIR in \
233    n|no|NO) false;; \
234    *) (install-info --version) >/dev/null 2>&1;; \
235  esac
236am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
237# Read a list of newline-separated strings from the standard input,
238# and print each of them once, without duplicates.  Input order is
239# *not* preserved.
240am__uniquify_input = $(AWK) '\
241  BEGIN { nonempty = 0; } \
242  { items[$$0] = 1; nonempty = 1; } \
243  END { if (nonempty) { for (i in items) print i; }; } \
244'
245# Make sure the list of sources is unique.  This is necessary because,
246# e.g., the same source file might be shared among _SOURCES variables
247# for different programs/libraries.
248am__define_uniq_tagged_files = \
249  list='$(am__tagged_files)'; \
250  unique=`for i in $$list; do \
251    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
252  done | $(am__uniquify_input)`
253ETAGS = etags
254CTAGS = ctags
255am__tty_colors_dummy = \
256  mgn= red= grn= lgn= blu= brg= std=; \
257  am__color_tests=no
258am__tty_colors = { \
259  $(am__tty_colors_dummy); \
260  if test "X$(AM_COLOR_TESTS)" = Xno; then \
261    am__color_tests=no; \
262  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
263    am__color_tests=yes; \
264  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
265    am__color_tests=yes; \
266  fi; \
267  if test $$am__color_tests = yes; then \
268    red='[0;31m'; \
269    grn='[0;32m'; \
270    lgn='[1;32m'; \
271    blu='[1;34m'; \
272    mgn='[0;35m'; \
273    brg='[1m'; \
274    std='[m'; \
275  fi; \
276}
277am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
278am__vpath_adj = case $$p in \
279    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
280    *) f=$$p;; \
281  esac;
282am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
283am__install_max = 40
284am__nobase_strip_setup = \
285  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
286am__nobase_strip = \
287  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
288am__nobase_list = $(am__nobase_strip_setup); \
289  for p in $$list; do echo "$$p $$p"; done | \
290  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
291  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
292    if (++n[$$2] == $(am__install_max)) \
293      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
294    END { for (dir in files) print dir, files[dir] }'
295am__base_list = \
296  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
297  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
298am__uninstall_files_from_dir = { \
299  test -z "$$files" \
300    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
301    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
302         $(am__cd) "$$dir" && rm -f $$files; }; \
303  }
304am__recheck_rx = ^[     ]*:recheck:[    ]*
305am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
306am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
307# A command that, given a newline-separated list of test names on the
308# standard input, print the name of the tests that are to be re-run
309# upon "make recheck".
310am__list_recheck_tests = $(AWK) '{ \
311  recheck = 1; \
312  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
313    { \
314      if (rc < 0) \
315        { \
316          if ((getline line2 < ($$0 ".log")) < 0) \
317            recheck = 0; \
318          break; \
319        } \
320      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
321        { \
322          recheck = 0; \
323          break; \
324        } \
325      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
326        { \
327          break; \
328        } \
329    }; \
330  if (recheck) \
331    print $$0; \
332  close ($$0 ".trs"); \
333  close ($$0 ".log"); \
334}'
335# A command that, given a newline-separated list of test names on the
336# standard input, create the global log from their .trs and .log files.
337am__create_global_log = $(AWK) ' \
338function fatal(msg) \
339{ \
340  print "fatal: making $@: " msg | "cat >&2"; \
341  exit 1; \
342} \
343function rst_section(header) \
344{ \
345  print header; \
346  len = length(header); \
347  for (i = 1; i <= len; i = i + 1) \
348    printf "="; \
349  printf "\n\n"; \
350} \
351{ \
352  copy_in_global_log = 1; \
353  global_test_result = "RUN"; \
354  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
355    { \
356      if (rc < 0) \
357         fatal("failed to read from " $$0 ".trs"); \
358      if (line ~ /$(am__global_test_result_rx)/) \
359        { \
360          sub("$(am__global_test_result_rx)", "", line); \
361          sub("[        ]*$$", "", line); \
362          global_test_result = line; \
363        } \
364      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
365        copy_in_global_log = 0; \
366    }; \
367  if (copy_in_global_log) \
368    { \
369      rst_section(global_test_result ": " $$0); \
370      while ((rc = (getline line < ($$0 ".log"))) != 0) \
371      { \
372        if (rc < 0) \
373          fatal("failed to read from " $$0 ".log"); \
374        print line; \
375      }; \
376      printf "\n"; \
377    }; \
378  close ($$0 ".trs"); \
379  close ($$0 ".log"); \
380}'
381# Restructured Text title.
382am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
383# Solaris 10 'make', and several other traditional 'make' implementations,
384# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
385# by disabling -e (using the XSI extension "set +e") if it's set.
386am__sh_e_setup = case $$- in *e*) set +e;; esac
387# Default flags passed to test drivers.
388am__common_driver_flags = \
389  --color-tests "$$am__color_tests" \
390  --enable-hard-errors "$$am__enable_hard_errors" \
391  --expect-failure "$$am__expect_failure"
392# To be inserted before the command running the test.  Creates the
393# directory for the log if needed.  Stores in $dir the directory
394# containing $f, in $tst the test, in $log the log.  Executes the
395# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
396# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
397# will run the test scripts (or their associated LOG_COMPILER, if
398# thy have one).
399am__check_pre = \
400$(am__sh_e_setup);                                      \
401$(am__vpath_adj_setup) $(am__vpath_adj)                 \
402$(am__tty_colors);                                      \
403srcdir=$(srcdir); export srcdir;                        \
404case "$@" in                                            \
405  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
406    *) am__odir=.;;                                     \
407esac;                                                   \
408test "x$$am__odir" = x"." || test -d "$$am__odir"       \
409  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
410if test -f "./$$f"; then dir=./;                        \
411elif test -f "$$f"; then dir=;                          \
412else dir="$(srcdir)/"; fi;                              \
413tst=$$dir$$f; log='$@';                                 \
414if test -n '$(DISABLE_HARD_ERRORS)'; then               \
415  am__enable_hard_errors=no;                            \
416else                                                    \
417  am__enable_hard_errors=yes;                           \
418fi;                                                     \
419case " $(XFAIL_TESTS) " in                              \
420  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
421    am__expect_failure=yes;;                            \
422  *)                                                    \
423    am__expect_failure=no;;                             \
424esac;                                                   \
425$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
426# A shell command to get the names of the tests scripts with any registered
427# extension removed (i.e., equivalently, the names of the test logs, with
428# the '.log' extension removed).  The result is saved in the shell variable
429# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
430# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
431# since that might cause problem with VPATH rewrites for suffix-less tests.
432# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
433am__set_TESTS_bases = \
434  bases='$(TEST_LOGS)'; \
435  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
436  bases=`echo $$bases`
437RECHECK_LOGS = $(TEST_LOGS)
438AM_RECURSIVE_TARGETS = check recheck
439TEST_SUITE_LOG = test-suite.log
440TEST_EXTENSIONS =  .test
441am__test_logs1 = $(TESTS:=.log)
442am__test_logs2 = $(am__test_logs1:.log=.log)
443TEST_LOGS = $(am__test_logs2:.test.log=.log)
444TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
445TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
446        $(TEST_LOG_FLAGS)
447am__set_b = \
448  case '$@' in \
449    */*) \
450      case '$*' in \
451        */*) b='$*';; \
452          *) b=`echo '$@' | sed 's/\.log$$//'`; \
453       esac;; \
454    *) \
455      b='$*';; \
456  esac
457am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
458        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
459        README
460DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
461ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
462ADAPTATION_LIBS = adaptation/libadaptation.la
463ALLOCA =
464AMTAR = $${TAR-tar}
465AM_DEFAULT_VERBOSITY = 1
466AR = /usr/bin/ar
467AR_R = /usr/bin/ar r
468AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
469AUTH_MODULES =  basic digest negotiate ntlm
470AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
471AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
472AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
473AWK = gawk
474BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
475BUILDCXX = g++
476BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
477BZR =
478CACHE_EFFECTIVE_USER = proxy
479CC = gcc
480CCDEPMODE = depmode=none
481CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
482CGIEXT = .cgi
483CHMOD = /bin/chmod
484CPP = gcc -E
485CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
486CPPUNITCONFIG = /usr/bin/cppunit-config
487CRYPTLIB = -lcrypt
488CXX = g++
489CXXCPP = g++ -E
490CXXDEPMODE = depmode=none
491CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
492CYGPATH_W = echo
493DEFAULT_HOSTS = /etc/hosts
494DEFAULT_LOG_DIR = /var/log/squid-ssl
495DEFAULT_PID_FILE = /var/run/squid-ssl.pid
496DEFAULT_SWAP_DIR = /var/spool/squid-ssl
497DEFS = -DHAVE_CONFIG_H
498DEPDIR = .deps
499DIGEST_AUTH_HELPERS =  file LDAP
500DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
501DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
502DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
503DISK_OS_LIBS =  -lrt -lpthread
504DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
505DLLTOOL = false
506DSYMUTIL =
507DUMPBIN =
508ECAP_LIBS = ecap/libsquid-ecap.la
509ECHO_C =
510ECHO_N = -n
511ECHO_T =
512EGREP = /bin/egrep
513EPOLL_LIBS =
514EUILIB =
515EXEEXT =
516EXPATLIB = -lexpat
517EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
518EXT_LIBECAP_CFLAGS =
519EXT_LIBECAP_LIBS = -lecap
520FALSE = /bin/false
521FGREP = /bin/fgrep
522GREP = grep
523HAVE_CXX11 = 1
524ICAP_LIBS = icap/libicap.la
525INCLTDL =
526INSTALL = /usr/bin/install -c
527INSTALL_DATA = ${INSTALL} -m 644
528INSTALL_PROGRAM = ${INSTALL}
529INSTALL_SCRIPT = ${INSTALL}
530INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
531KRB5INCS = -isystem /usr/include/mit-krb5
532KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
533LBERLIB = -llber
534LD = /usr/bin/ld -m elf_x86_64
535LDAPLIB = -lldap
536LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
537LIBADD_DL = -ldl
538LIBADD_DLD_LINK =
539LIBADD_DLOPEN = -ldl
540LIBADD_SHL_LOAD =
541LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
542LIBGNUTLS_LIBS = -lgnutls
543LIBLTDL = -lltdl
544LIBOBJS =
545LIBOPENSSL_CFLAGS =
546LIBOPENSSL_LIBS = -lssl -lcrypto
547LIBS =
548LIBSASL = -lsasl2
549LIBTOOL = $(SHELL) $(top_builddir)/libtool
550LIB_DB = -ldb
551LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
552LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
553LINUXDOC = /bin/false
554LIPO =
555LN = /bin/ln
556LN_S = ln -s
557LOG_DAEMON_HELPERS =  DB file
558LTDLDEPS =
559LTDLINCL =
560LTDLOPEN = libltdl
561LTLIBOBJS =
562LT_ARGZ_H =
563LT_CONFIG_H = include/autoconf.h
564LT_DLLOADERS =  libltdl/dlopen.la
565LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
566LT_SYS_LIBRARY_PATH =
567MAINT = #
568MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
569MANIFEST_TOOL = :
570MINGW_LIBS =
571MKDIR = /bin/mkdir
572MKDIR_P = /bin/mkdir -p
573MV = /bin/mv
574NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
575NETTLELIB =  -lnettle
576NM = /usr/bin/nm -B
577NMEDIT =
578NTLM_AUTH_HELPERS =  fake smb_lm
579OBJDUMP = objdump
580OBJEXT = o
581OTOOL =
582OTOOL64 =
583PACKAGE = squid
584PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
585PACKAGE_NAME = Squid Web Proxy
586PACKAGE_STRING = Squid Web Proxy 3.5.12
587PACKAGE_TARNAME = squid
588PACKAGE_URL =
589PACKAGE_VERSION = 3.5.12
590PATH_SEPARATOR = :
591PERL = /usr/bin/perl
592PKG_CONFIG = /usr/bin/pkg-config
593PKG_CONFIG_LIBDIR =
594PKG_CONFIG_PATH =
595PO2HTML = off
596PO2TEXT = off
597POD2MAN = /usr/bin/pod2man
598RANLIB = ranlib
599REGEXLIB =
600REPL_LIBS = liblru.a libheap.a
601REPL_OBJS = repl/liblru.a repl/libheap.a
602REPL_POLICIES = lru heap
603RM = /bin/rm -f
604SED = /bin/sed
605SET_MAKE =
606SH = /bin/sh
607SHELL = /bin/bash
608SMBCLIENT = /usr/bin/smbclient
609SNMPLIB = ../lib/snmplib/libsnmplib.la
610SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
611SQUID_CPPUNIT_INC =
612SQUID_CPPUNIT_LA =
613SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
614SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
615SSLLIB =  -lssl -lcrypto  -lgnutls
616STOREID_REWRITE_HELPERS =  file
617STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
618STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
619STORE_TESTS =
620STRIP = strip
621TR = /usr/bin/tr
622TRUE = /bin/true
623URL_REWRITE_HELPERS =  fake
624VERSION = 3.5.12
625WBINFO =
626WIN32_PSAPI =
627XMLLIB = -lxml2
628XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
629XTRA_OBJS =
630abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/tools/purge
631abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/tools/purge
632abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
633abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
634ac_ct_AR =
635ac_ct_CC = gcc
636ac_ct_CXX = g++
637ac_ct_DUMPBIN =
638am__include = include
639am__leading_dot = .
640am__quote =
641am__tar = tar --format=ustar -chf - "$$tardir"
642am__untar = tar -xf -
643bindir = ${exec_prefix}/bin
644build = x86_64-pc-linux-gnu
645build_alias = x86_64-linux-gnu
646build_cpu = x86_64
647build_os = linux-gnu
648build_vendor = pc
649builddir = .
650datadir = /usr/share/squid-ssl
651datarootdir = ${prefix}/share
652docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
653dvidir = ${docdir}
654exec_prefix = ${prefix}
655host = x86_64-pc-linux-gnu
656host_alias =
657host_cpu = x86_64
658host_os = linux-gnu
659host_vendor = pc
660htmldir = ${docdir}
661includedir = ${prefix}/include
662infodir = ${prefix}/share/info
663install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
664krb5_config =
665libdir = ${exec_prefix}/lib
666libexecdir = /usr/lib/squid-ssl
667localedir = ${datarootdir}/locale
668localstatedir = /var
669ltdl_LIBOBJS =  lt__strl.o
670ltdl_LTLIBOBJS =  lt__strl.lo
671mandir = /usr/share/man
672mkdir_p = $(MKDIR_P)
673oldincludedir = /usr/include
674pdfdir = ${docdir}
675prefix = /usr
676program_transform_name = s&$$&-ssl&
677psdir = ${docdir}
678runstatedir = ${localstatedir}/run
679sbindir = ${exec_prefix}/sbin
680sharedstatedir = ${prefix}/com
681srcdir = .
682subdirs =  libltdl
683sys_symbol_underscore = no
684sysconfdir = /etc/squid-ssl
685target_alias =
686top_build_prefix = ../../
687top_builddir = ../..
688top_srcdir = ../..
689AM_CFLAGS = $(SQUID_CFLAGS)
690AM_CXXFLAGS = $(SQUID_CXXFLAGS)
691CLEANFILES =
692AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
693        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
694        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
695        $(am__append_1)
696LIBPROFILER =
697#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
698COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
699subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
700purge_SOURCES = \
701        convert.cc \
702        convert.hh \
703        socket.cc \
704        socket.hh \
705        signal.cc \
706        signal.hh \
707        squid-tlv.cc \
708        squid-tlv.hh \
709        copyout.cc \
710        copyout.hh \
711        conffile.cc \
712        conffile.hh \
713        purge.cc
714
715purge_LDADD = \
716        $(COMPAT_LIB) \
717        $(XTRA_LIBS)
718
719EXTRA_DIST = README
720all: all-am
721
722.SUFFIXES:
723.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
724$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
725        @for dep in $?; do \
726          case '$(am__configure_deps)' in \
727            *$$dep*) \
728              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
729                && { if test -f $@; then exit 0; else break; fi; }; \
730              exit 1;; \
731          esac; \
732        done; \
733        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tools/purge/Makefile'; \
734        $(am__cd) $(top_srcdir) && \
735          $(AUTOMAKE) --gnu tools/purge/Makefile
736Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
737        @case '$?' in \
738          *config.status*) \
739            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
740          *) \
741            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
742            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
743        esac;
744$(top_srcdir)/src/Common.am $(am__empty):
745
746$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
747        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
748
749$(top_srcdir)/configure: # $(am__configure_deps)
750        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
751$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(am__aclocal_m4_deps):
754install-binPROGRAMS: $(bin_PROGRAMS)
755        @$(NORMAL_INSTALL)
756        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
757        if test -n "$$list"; then \
758          echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
759          $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
760        fi; \
761        for p in $$list; do echo "$$p $$p"; done | \
762        sed 's/$(EXEEXT)$$//' | \
763        while read p p1; do if test -f $$p \
764         || test -f $$p1 \
765          ; then echo "$$p"; echo "$$p"; else :; fi; \
766        done | \
767        sed -e 'p;s,.*/,,;n;h' \
768            -e 's|.*|.|' \
769            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
770        sed 'N;N;N;s,\n, ,g' | \
771        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
772          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
773            if ($$2 == $$4) files[d] = files[d] " " $$1; \
774            else { print "f", $$3 "/" $$4, $$1; } } \
775          END { for (d in files) print "f", d, files[d] }' | \
776        while read type dir files; do \
777            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
778            test -z "$$files" || { \
779            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
780            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
781            } \
782        ; done
783
784uninstall-binPROGRAMS:
785        @$(NORMAL_UNINSTALL)
786        @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
787        files=`for p in $$list; do echo "$$p"; done | \
788          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
789              -e 's/$$/$(EXEEXT)/' \
790        `; \
791        test -n "$$list" || exit 0; \
792        echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
793        cd "$(DESTDIR)$(bindir)" && rm -f $$files
794
795clean-binPROGRAMS:
796        @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
797        echo " rm -f" $$list; \
798        rm -f $$list || exit $$?; \
799        test -n "$(EXEEXT)" || exit 0; \
800        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
801        echo " rm -f" $$list; \
802        rm -f $$list
803
804clean-checkPROGRAMS:
805        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
806        echo " rm -f" $$list; \
807        rm -f $$list || exit $$?; \
808        test -n "$(EXEEXT)" || exit 0; \
809        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
810        echo " rm -f" $$list; \
811        rm -f $$list
812
813purge$(EXEEXT): $(purge_OBJECTS) $(purge_DEPENDENCIES) $(EXTRA_purge_DEPENDENCIES) 
814        @rm -f purge$(EXEEXT)
815        $(AM_V_CXXLD)$(CXXLINK) $(purge_OBJECTS) $(purge_LDADD) $(LIBS)
816
817mostlyclean-compile:
818        -rm -f *.$(OBJEXT)
819
820distclean-compile:
821        -rm -f *.tab.c
822
823#include ./$(DEPDIR)/conffile.Po
824#include ./$(DEPDIR)/convert.Po
825#include ./$(DEPDIR)/copyout.Po
826#include ./$(DEPDIR)/purge.Po
827#include ./$(DEPDIR)/signal.Po
828#include ./$(DEPDIR)/socket.Po
829#include ./$(DEPDIR)/squid-tlv.Po
830
831.cc.o:
832#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
833#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
834#       $(am__mv) $$depbase.Tpo $$depbase.Po
835#       $(AM_V_CXX)source='$<' object='$@' libtool=no
836#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
837        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
838
839.cc.obj:
840#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
841#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
842#       $(am__mv) $$depbase.Tpo $$depbase.Po
843#       $(AM_V_CXX)source='$<' object='$@' libtool=no
844#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
845        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
846
847.cc.lo:
848#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
849#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
850#       $(am__mv) $$depbase.Tpo $$depbase.Plo
851#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
852#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
853        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
854
855mostlyclean-libtool:
856        -rm -f *.lo
857
858clean-libtool:
859        -rm -rf .libs _libs
860
861ID: $(am__tagged_files)
862        $(am__define_uniq_tagged_files); mkid -fID $$unique
863tags: tags-am
864TAGS: tags
865
866tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
867        set x; \
868        here=`pwd`; \
869        $(am__define_uniq_tagged_files); \
870        shift; \
871        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
872          test -n "$$unique" || unique=$$empty_fix; \
873          if test $$# -gt 0; then \
874            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
875              "$$@" $$unique; \
876          else \
877            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
878              $$unique; \
879          fi; \
880        fi
881ctags: ctags-am
882
883CTAGS: ctags
884ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
885        $(am__define_uniq_tagged_files); \
886        test -z "$(CTAGS_ARGS)$$unique" \
887          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
888             $$unique
889
890GTAGS:
891        here=`$(am__cd) $(top_builddir) && pwd` \
892          && $(am__cd) $(top_srcdir) \
893          && gtags -i $(GTAGS_ARGS) "$$here"
894cscopelist: cscopelist-am
895
896cscopelist-am: $(am__tagged_files)
897        list='$(am__tagged_files)'; \
898        case "$(srcdir)" in \
899          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
900          *) sdir=$(subdir)/$(srcdir) ;; \
901        esac; \
902        for i in $$list; do \
903          if test -f "$$i"; then \
904            echo "$(subdir)/$$i"; \
905          else \
906            echo "$$sdir/$$i"; \
907          fi; \
908        done >> $(top_builddir)/cscope.files
909
910distclean-tags:
911        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
912
913# Recover from deleted '.trs' file; this should ensure that
914# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
915# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
916# to avoid problems with "make -n".
917.log.trs:
918        rm -f $< $@
919        $(MAKE) $(AM_MAKEFLAGS) $<
920
921# Leading 'am--fnord' is there to ensure the list of targets does not
922# expand to empty, as could happen e.g. with make check TESTS=''.
923am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
924am--force-recheck:
925        @:
926
927$(TEST_SUITE_LOG): $(TEST_LOGS)
928        @$(am__set_TESTS_bases); \
929        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
930        redo_bases=`for i in $$bases; do \
931                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
932                    done`; \
933        if test -n "$$redo_bases"; then \
934          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
935          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
936          if $(am__make_dryrun); then :; else \
937            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
938          fi; \
939        fi; \
940        if test -n "$$am__remaking_logs"; then \
941          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
942               "recursion detected" >&2; \
943        elif test -n "$$redo_logs"; then \
944          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
945        fi; \
946        if $(am__make_dryrun); then :; else \
947          st=0;  \
948          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
949          for i in $$redo_bases; do \
950            test -f $$i.trs && test -r $$i.trs \
951              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
952            test -f $$i.log && test -r $$i.log \
953              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
954          done; \
955          test $$st -eq 0 || exit 1; \
956        fi
957        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
958        ws='[   ]'; \
959        results=`for b in $$bases; do echo $$b.trs; done`; \
960        test -n "$$results" || results=/dev/null; \
961        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
962        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
963        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
964        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
965        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
966        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
967        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
968        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
969          success=true; \
970        else \
971          success=false; \
972        fi; \
973        br='==================='; br=$$br$$br$$br$$br; \
974        result_count () \
975        { \
976            if test x"$$1" = x"--maybe-color"; then \
977              maybe_colorize=yes; \
978            elif test x"$$1" = x"--no-color"; then \
979              maybe_colorize=no; \
980            else \
981              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
982            fi; \
983            shift; \
984            desc=$$1 count=$$2; \
985            if test $$maybe_colorize = yes && test $$count -gt 0; then \
986              color_start=$$3 color_end=$$std; \
987            else \
988              color_start= color_end=; \
989            fi; \
990            echo "$${color_start}# $$desc $$count$${color_end}"; \
991        }; \
992        create_testsuite_report () \
993        { \
994          result_count $$1 "TOTAL:" $$all   "$$brg"; \
995          result_count $$1 "PASS: " $$pass  "$$grn"; \
996          result_count $$1 "SKIP: " $$skip  "$$blu"; \
997          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
998          result_count $$1 "FAIL: " $$fail  "$$red"; \
999          result_count $$1 "XPASS:" $$xpass "$$red"; \
1000          result_count $$1 "ERROR:" $$error "$$mgn"; \
1001        }; \
1002        {                                                               \
1003          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1004            $(am__rst_title);                                           \
1005          create_testsuite_report --no-color;                           \
1006          echo;                                                         \
1007          echo ".. contents:: :depth: 2";                               \
1008          echo;                                                         \
1009          for b in $$bases; do echo $$b; done                           \
1010            | $(am__create_global_log);                                 \
1011        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1012        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1013        if $$success; then                                              \
1014          col="$$grn";                                                  \
1015         else                                                           \
1016          col="$$red";                                                  \
1017          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1018        fi;                                                             \
1019        echo "$${col}$$br$${std}";                                      \
1020        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1021        echo "$${col}$$br$${std}";                                      \
1022        create_testsuite_report --maybe-color;                          \
1023        echo "$$col$$br$$std";                                          \
1024        if $$success; then :; else                                      \
1025          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1026          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1027            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1028          fi;                                                           \
1029          echo "$$col$$br$$std";                                        \
1030        fi;                                                             \
1031        $$success || exit 1
1032
1033check-TESTS:
1034        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1035        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1036        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1037        @set +e; $(am__set_TESTS_bases); \
1038        log_list=`for i in $$bases; do echo $$i.log; done`; \
1039        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1040        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1041        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1042        exit $$?;
1043recheck: all $(check_PROGRAMS)
1044        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1045        @set +e; $(am__set_TESTS_bases); \
1046        bases=`for i in $$bases; do echo $$i; done \
1047                 | $(am__list_recheck_tests)` || exit 1; \
1048        log_list=`for i in $$bases; do echo $$i.log; done`; \
1049        log_list=`echo $$log_list`; \
1050        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1051                am__force_recheck=am--force-recheck \
1052                TEST_LOGS="$$log_list"; \
1053        exit $$?
1054.test.log:
1055        @p='$<'; \
1056        $(am__set_b); \
1057        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1058        --log-file $$b.log --trs-file $$b.trs \
1059        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1060        "$$tst" $(AM_TESTS_FD_REDIRECT)
1061#.test$(EXEEXT).log:
1062#       @p='$<'; \
1063#       $(am__set_b); \
1064#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1065#       --log-file $$b.log --trs-file $$b.trs \
1066#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1067#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1068
1069distdir: $(DISTFILES)
1070        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1071        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1072        list='$(DISTFILES)'; \
1073          dist_files=`for file in $$list; do echo $$file; done | \
1074          sed -e "s|^$$srcdirstrip/||;t" \
1075              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1076        case $$dist_files in \
1077          */*) $(MKDIR_P) `echo "$$dist_files" | \
1078                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1079                           sort -u` ;; \
1080        esac; \
1081        for file in $$dist_files; do \
1082          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1083          if test -d $$d/$$file; then \
1084            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1085            if test -d "$(distdir)/$$file"; then \
1086              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1087            fi; \
1088            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1089              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1090              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1091            fi; \
1092            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1093          else \
1094            test -f "$(distdir)/$$file" \
1095            || cp -p $$d/$$file "$(distdir)/$$file" \
1096            || exit 1; \
1097          fi; \
1098        done
1099check-am: all-am
1100        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1101        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1102check: check-am
1103all-am: Makefile $(PROGRAMS)
1104installdirs:
1105        for dir in "$(DESTDIR)$(bindir)"; do \
1106          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1107        done
1108install: install-am
1109install-exec: install-exec-am
1110install-data: install-data-am
1111uninstall: uninstall-am
1112
1113install-am: all-am
1114        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1115
1116installcheck: installcheck-am
1117install-strip:
1118        if test -z '$(STRIP)'; then \
1119          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1120            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1121              install; \
1122        else \
1123          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1124            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1125            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1126        fi
1127mostlyclean-generic:
1128        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1129        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1130        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1131
1132clean-generic:
1133        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1134
1135distclean-generic:
1136        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1137        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1138
1139maintainer-clean-generic:
1140        @echo "This command is intended for maintainers to use"
1141        @echo "it deletes files that may require special tools to rebuild."
1142clean: clean-am
1143
1144clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1145        clean-libtool mostlyclean-am
1146
1147distclean: distclean-am
1148        -rm -rf ./$(DEPDIR)
1149        -rm -f Makefile
1150distclean-am: clean-am distclean-compile distclean-generic \
1151        distclean-tags
1152
1153dvi: dvi-am
1154
1155dvi-am:
1156
1157html: html-am
1158
1159html-am:
1160
1161info: info-am
1162
1163info-am:
1164
1165install-data-am:
1166
1167install-dvi: install-dvi-am
1168
1169install-dvi-am:
1170
1171install-exec-am: install-binPROGRAMS
1172
1173install-html: install-html-am
1174
1175install-html-am:
1176
1177install-info: install-info-am
1178
1179install-info-am:
1180
1181install-man:
1182
1183install-pdf: install-pdf-am
1184
1185install-pdf-am:
1186
1187install-ps: install-ps-am
1188
1189install-ps-am:
1190
1191installcheck-am:
1192
1193maintainer-clean: maintainer-clean-am
1194        -rm -rf ./$(DEPDIR)
1195        -rm -f Makefile
1196maintainer-clean-am: distclean-am maintainer-clean-generic
1197
1198mostlyclean: mostlyclean-am
1199
1200mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1201        mostlyclean-libtool
1202
1203pdf: pdf-am
1204
1205pdf-am:
1206
1207ps: ps-am
1208
1209ps-am:
1210
1211uninstall-am: uninstall-binPROGRAMS
1212
1213.MAKE: check-am install-am install-strip
1214
1215.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1216        clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1217        clean-libtool cscopelist-am ctags ctags-am distclean \
1218        distclean-compile distclean-generic distclean-libtool \
1219        distclean-tags distdir dvi dvi-am html html-am info info-am \
1220        install install-am install-binPROGRAMS install-data \
1221        install-data-am install-dvi install-dvi-am install-exec \
1222        install-exec-am install-html install-html-am install-info \
1223        install-info-am install-man install-pdf install-pdf-am \
1224        install-ps install-ps-am install-strip installcheck \
1225        installcheck-am installdirs maintainer-clean \
1226        maintainer-clean-generic mostlyclean mostlyclean-compile \
1227        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1228        recheck tags tags-am uninstall uninstall-am \
1229        uninstall-binPROGRAMS
1230
1231.PRECIOUS: Makefile
1232
1233
1234$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1235
1236# Tell versions [3.59,3.63) of GNU make to not export all variables.
1237# Otherwise a system limit (for SysV at least) may be exceeded.
1238.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.